summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJory Pratt <anarchy@gentoo.org>2011-10-31 12:28:14 +0000
committerJory Pratt <anarchy@gentoo.org>2011-10-31 12:28:14 +0000
commitf08660c116ec3326bd90c7da52cfbc904529a413 (patch)
treeea9ab8aa8c8da0523b1012ff427644113546cf4d /eclass
parentDrop the osdmenu useflag, as upstream dropped code for it. (diff)
downloadgentoo-2-f08660c116ec3326bd90c7da52cfbc904529a413.tar.gz
gentoo-2-f08660c116ec3326bd90c7da52cfbc904529a413.tar.bz2
gentoo-2-f08660c116ec3326bd90c7da52cfbc904529a413.zip
Fix xpi_unpack to support current directory, bug #388181
Diffstat (limited to 'eclass')
-rw-r--r--eclass/mozextension.eclass12
1 files changed, 8 insertions, 4 deletions
diff --git a/eclass/mozextension.eclass b/eclass/mozextension.eclass
index 8f1b35a3a9a6..6029538c9e6f 100644
--- a/eclass/mozextension.eclass
+++ b/eclass/mozextension.eclass
@@ -1,8 +1,13 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mozextension.eclass,v 1.5 2010/12/30 03:06:04 anarchy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mozextension.eclass,v 1.6 2011/10/31 12:28:14 anarchy Exp $
#
-# mozextention.eclass: installing firefox extensions and language packs
+# @ECLASS: mozextension.eclass
+# @MAINTAINER:
+# Mozilla team <mozilla@gentoo.org>
+# @DESCRIPTION:
+# Install extensions for use in mozilla products.
+
inherit eutils
@@ -28,8 +33,7 @@ xpi_unpack() {
case "${xpi##*.}" in
ZIP|zip|jar|xpi)
mkdir "${WORKDIR}/${xpiname}" && \
- cd "${WORKDIR}/${xpiname}" && \
- unzip -qo "${srcdir}${xpi}" || die "failed to unpack ${xpi}"
+ unzip -qo "${srcdir}${xpi}" -d "${WORKDIR}/${xpiname}" || die "failed to unpack ${xpi}"
;;
*)
einfo "unpack ${xpi}: file format not recognized. Ignoring."